Update an integration's config
PATCH/v1/integration/:identifier/config
This route allows you to modify an integration's configuration in your Port organization.
To learn more about integrations, check out the documentation.
Permission requirements
To use this endpoint, you must have an admin role in your Port organization.
Note: The moderator role does not include the required update:integrations scope. Requests without this scope return 403 Forbidden.
To learn more about the different roles and permissions, please refer to the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "identifier",
"required": true,
"description": "The unique identifier of the resource you want to operate on."
}
]
}Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"config": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Various configuration options for the integration.",
"properties": {
"deleteDependentEntities": {
"type": "boolean",
"description": "If `true`, deleting an entity will also delete its dependent entities."
},
"createMissingRelatedEntities": {
"type": "boolean",
"description": "If `true`, creating an entity with a relation to a non-existing entity will also create the related entity."
},
"resources": {
"type": "array",
"description": "The mapping definition of resources from the integrated tool/platform into Port. For more information and examples, check out the [documentation](https://docs.port.io/context-lake/ingestion/configure-mapping/overview).",
"items": {
"type": "object",
"required": [
"kind",
"selector",
"port"
],
"properties": {
"kind": {
"type": "string",
"description": "The kind of resource to map, as defined in API of the integrated tool/platorm."
},
"selector": {
"type": "object",
"properties": {
"query": {
"type": "string",
"description": "A `jq` query used to specify which resources to fetch from the integrated tool/platform. If set to `\"true\"`, all resources of the specified `kind` will be ingested. For more information and examples, check out the [documentation](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#how-does-mapping-work)."
}
}
},
"port": {
"type": "object",
"required": [
"entity"
],
"description": "An object containing the mapping definitions of the `kind` resource into Port.",
"properties": {
"entity": {
"type": "object",
"required": [
"mappings"
],
"properties": {
"mappings": {
"description": "The mapping definitions used to map the resource fields into Port entities. For more information and examples, check out the [documentation](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#mapping-concepts).",
"oneOf": [
{
"type": "array",
"title": "array",
"items": {
"type": "object",
"required": [
"identifier",
"blueprint"
],
"properties": {
"identifier": {
"oneOf": [
{
"type": "string",
"title": "String identifier",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as an identifier for the entity."
},
{
"type": "object",
"properties": {
"combinator": {
"type": "string"
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
}
},
"additionalProperties": false,
"required": [
"combinator",
"rules"
],
"title": "Search query identifier",
"description": "A search query to define the entity's identifier based on a property of the entity.<br/>Read more [here](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#map-by-property)."
}
]
},
"title": {
"type": "string",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as the title of the entity."
},
"icon": {
"type": "string",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as the icon of the entity."
},
"team": {
"oneOf": [
{
"type": "string",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as the team of the entity."
},
{
"type": "object",
"properties": {
"combinator": {
"type": "string"
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
}
},
"additionalProperties": false,
"required": [
"combinator",
"rules"
],
"title": "Search query team"
}
]
},
"blueprint": {
"type": "string",
"description": "The identifier of the blueprint to map the data into."
},
"properties": {
"type": "object",
"additionalProperties": true,
"description": "An object containing the properties of the entity and their values. For more information and examples, check out the [documentation](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#mapping-concepts)."
},
"relations": {
"type": "object",
"additionalProperties": true,
"description": "An object containing the relations of the entity and their values. For more information and examples, check out the [documentation](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#mapping-concepts)."
}
}
}
},
{
"type": "object",
"required": [
"identifier",
"blueprint"
],
"properties": {
"identifier": {
"oneOf": [
{
"type": "string",
"title": "String identifier",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as an identifier for the entity."
},
{
"type": "object",
"properties": {
"combinator": {
"type": "string"
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
}
},
"additionalProperties": false,
"required": [
"combinator",
"rules"
],
"title": "Search query identifier",
"description": "A search query to define the entity's identifier based on a property of the entity.<br/>Read more [here](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#map-by-property)."
}
]
},
"title": {
"type": "string",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as the title of the entity."
},
"icon": {
"type": "string",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as the icon of the entity."
},
"team": {
"oneOf": [
{
"type": "string",
"description": "A `jq` expression used to get data from the integrated tool's API, to be used as the team of the entity."
},
{
"type": "object",
"properties": {
"combinator": {
"type": "string"
},
"rules": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true
}
}
},
"additionalProperties": false,
"required": [
"combinator",
"rules"
],
"title": "Search query team"
}
]
},
"blueprint": {
"type": "string",
"description": "The identifier of the blueprint to map the data into."
},
"properties": {
"type": "object",
"additionalProperties": true,
"description": "An object containing the properties of the entity and their values. For more information and examples, check out the [documentation](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#mapping-concepts)."
},
"relations": {
"type": "object",
"additionalProperties": true,
"description": "An object containing the relations of the entity and their values. For more information and examples, check out the [documentation](https://docs.port.io/context-lake/ingestion/configure-mapping/overview#mapping-concepts)."
}
},
"title": "object"
}
]
}
}
}
}
}
}
}
}
}
},
"arePortResourcesInitialized": {
"type": "boolean",
"description": "Whether the Port resources are initialized for the integration."
}
},
"additionalProperties": false,
"required": [
"config"
]
}
}
},
"required": true
}
}Responses
- 401
- 404
- 413
- 422
Default Response
A resource with the provided identifier was not found
Request body is too large (limit is 1MiB)
The json provided does not match the route's schema
Responses (JSON)
{
"responses": {
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
},
"413": {
"description": "Request body is too large (limit is 1MiB)",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"description": "Request body is too large (limit is 1MiB)"
}
}
}
},
"422": {
"description": "The json provided does not match the route's schema",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "The json provided does not match the route's schema"
}
}
}
}
}
}